from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='decent.py',
    version='1.0.0b1',
    description='Python API wrapper for Decent',
    long_description=long_description,
    url='https://github.com/TheInitializer/decent.py',
    author='xn--cr8h',
    author_email='theinitializer.py@gmail.com',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Libraries :: Application Frameworks',
        'License :: OSI Approved :: BSD License',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    keywords='messaging client api',
    packages=find_packages(exclude=['doc']),
    install_requires=['requests', 'websocket-client'],
    extras_require={
        'test': ['typing'],
    },
    project_urls={
        'GitHub': 'https://github.com/TheInitializer/decent.py',
        'Documentation': 'https://decentpy.readthedocs.io',
    },
)